﻿module StaticConstructors

//====================================================
// Подробное описание программного кода исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================

    type SimpleClass() = 
        static let staticlet1 = printfn "Статическая let-привязка 1 SimpleClass"
        let locallet = printfn "\nЛокальная let-привязка SimpleClass"
        static let staticlet2 = printfn "Статическая let-привязка 2 SimpleClass"
        do
            printfn "Локальная do-привязка SimpleClass"
        static do
            printfn "Статическая do-привязка SimpleClass"

        static member StaticProperty = printfn "StaticProperty SimpleClass"

    type StaticClass() = 
        static let staticlet = 
            printfn "Статической let-привязка StaticClass"
        let fg = printfn "Локальная let-привязка StaticClass"

    type LocalClass() = 
        let locallet = 
            printfn "\nЛокальная let-привязка LocalClass"


    module AddModule1 =
        type SC() =
            static let staticlet = 
                printfn "Статическая let-привязка класса в дочернем модуле AddModule1"

        module AddModule2 =
            type SC() =
                static let staticlet = 
                    printfn "Статической let-привязка класса в дочернем модуле AddModule2"
            